Skip to main content
PATCH
/
webhooks
/
targets
/
{webhook_target_id}
Update a webhook target
curl --request PATCH \
  --url https://api.platform.dakota.xyz/webhooks/targets/{webhook_target_id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-idempotency-key: <x-idempotency-key>' \
  --data '
{
  "global": false,
  "event_types": [
    "api_key.created"
  ]
}
'
{
  "id": "1NFHrqBHb3cTfLVkFSGmHZqdDPi",
  "url": "https://example.com/webhooks/receive",
  "global": false,
  "event_types": [
    "api_key.created"
  ],
  "time_last_healthy": 0,
  "time_last_attempted": 0
}

Authorizations

x-api-key
string
header
required

Headers

x-idempotency-key
string<uuid>
required

Unique key to ensure request idempotency. If the same key is used within a certain time window, the original response will be returned instead of executing the request again.

Path Parameters

webhook_target_id
string
required

Unique identifier (ksuid) of the webhook target KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.

Required string length: 27
Pattern: ^[0-9A-Za-z]{27}$
Example:

"1NFHrqBHb3cTfLVkFSGmHZqdDPi"

Body

application/json

Request to update an existing webhook target

global
boolean

If true, this target will receive all event types

Example:

false

event_types
enum<string>[]

List of event types this target cares about (ignored if global is true)

Canonical outbound event type identifier.

Available options:
user.created,
user.updated,
user.deleted,
api_key.created,
api_key.deleted,
customer.created,
customer.updated,
customer.kyb_link.created,
customer.kyb_link.updated,
customer.kyb_status.created,
customer.kyb_status.updated,
auto_account.created,
auto_account.updated,
auto_account.deleted,
transaction.auto.created,
transaction.auto.updated,
transaction.one_off.created,
transaction.one_off.updated,
recipient.created,
recipient.updated,
recipient.deleted,
destination.created,
destination.deleted,
target.created,
target.updated,
target.deleted,
exception.created,
exception.cleared,
bvnk.onboarding.created,
bvnk.onboarding.updated,
wallet.created,
wallet.updated,
wallet.signer_group.created,
wallet.signer_group.updated,
wallet.policy.created,
wallet.policy.updated,
wallet.transaction.created,
wallet.transaction.updated,
wallet.deposit

Response

Webhook target updated successfully

A webhook target for receiving outbound webhook events

id
string
required

KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.

Required string length: 27
Pattern: ^[0-9A-Za-z]{27}$
Example:

"1NFHrqBHb3cTfLVkFSGmHZqdDPi"

url
string<uri>
required

The URL where webhook events will be sent

Example:

"https://example.com/webhooks/receive"

global
boolean
required

If true, this target will receive all event types

Example:

false

time_last_healthy
integer
required

Unix timestamp when this target last received a successful delivery (defaults to creation time if never healthy)

time_last_attempted
integer
required

Unix timestamp when a delivery to this target was last attempted (defaults to creation time if never attempted)

event_types
enum<string>[]

List of event types this target cares about (ignored if global is true)

Canonical outbound event type identifier.

Available options:
user.created,
user.updated,
user.deleted,
api_key.created,
api_key.deleted,
customer.created,
customer.updated,
customer.kyb_link.created,
customer.kyb_link.updated,
customer.kyb_status.created,
customer.kyb_status.updated,
auto_account.created,
auto_account.updated,
auto_account.deleted,
transaction.auto.created,
transaction.auto.updated,
transaction.one_off.created,
transaction.one_off.updated,
recipient.created,
recipient.updated,
recipient.deleted,
destination.created,
destination.deleted,
target.created,
target.updated,
target.deleted,
exception.created,
exception.cleared,
bvnk.onboarding.created,
bvnk.onboarding.updated,
wallet.created,
wallet.updated,
wallet.signer_group.created,
wallet.signer_group.updated,
wallet.policy.created,
wallet.policy.updated,
wallet.transaction.created,
wallet.transaction.updated,
wallet.deposit